
<%
/************************************************************@@
  * Program Name	: top.jsp
  * Description		: 보고자모드 탑
  * Author				: 강원중
  * Create Date		: 2004.10.11
  * History				:
@@************************************************************/
%>

<%@ page contentType="text/html; charset=UTF-8"
	import="kr.co.kihyun.beans.user.HttpSSOLogin"
	import="kr.co.kihyun.text.html.ServletUtil"
	import="java.net.URLDecoder" import="kr.co.kihyun.moumi.Moumi"
	import="kr.co.kihyun.lang.MInteger"
	import="kr.co.kihyun.beans.user.User"
	import="kr.co.kihyun.beans.totsys.menu.MenuBean"%>

<%@ include file="/totsys/common/inc/sec/secure.inc.jsp"%>

<%
try{
	/*********** User HttpSSOLogin check ***********/	
	String connURL="location='/totsys/login/login.jsp';";
	if(!HttpSSOLogin.isLogin(request)){		
		out.println(ServletUtil.alert("작업시간이 종료되었습니다.\\n다시로그인 하시기 바랍니다."));
		out.println(ServletUtil.getJavaScript(connURL));
		return;
	}

	/********** session내의 userId **********/
	String usID = HttpSSOLogin.getLoginID(request);
	String usName = HttpSSOLogin.getUserName(request);
	int sysAuth = HttpSSOLogin.getSysAuth(request);

	if(sysAuth != Moumi.REPOPER && sysAuth != Moumi.SUB_TOTPER && sysAuth != Moumi.TOTPER){
		connURL="history.go(-1);";
		out.println(ServletUtil.alert("보고권한이 없습니다.\\n확인하시고 다시 시도해주세요."));
		out.println(ServletUtil.getJavaScript(connURL));
		return;
	}	

	/****** Parameter ******/
	String dirPath = "";
	dirPath = URLDecoder.decode(clearXSS(request.getParameter("dirPath"),""), "UTF-8");

	MenuBean tempboxMenu = new MenuBean(request, "/totsys/repoper/mydocbox/tempbox/report_list.jsp");
%>
<script language="javascript">
		<!--
		function totperMode(sysAuth){
			if(sysAuth != <%= Moumi.SUB_TOTPER %> && sysAuth != <%= Moumi.TOTPER %>){
				alert("시스템권한이 충분하지 못합니다.\n관리자에게 문의하세요.");
				return;
			}

			document.location.replace("/totsys/totper/main.jsp");
		}
		//-->
	</script>


<html>
<head>

<!--스타일시트-->
<link rel="stylesheet" href="/totsys/common/css/kecttep.css"
	type="text/css">

<script>
	function viewFrm(num){
		switch(num){
			case 1:
				div2.style.display="none";
				div3.style.display="none";
				div4.style.display="none";
				if(div1.style.display=="block"){
					div1.style.display="none";
				}else{
					div1.style.display="block";
				}
				break;
			case 2:
				div1.style.display="none";
				div3.style.display="none";
				div4.style.display="none";
				if(div2.style.display=="block"){
					div2.style.display="none";
				}else{
					div2.style.display="block";
				}
				break;
			case 3:
				div1.style.display="none";
				div2.style.display="none";
				div4.style.display="none";
				if(div3.style.display=="block"){
					div3.style.display="none";
				}else{
					div3.style.display="block";
				}
				break;
			case 4:
				div1.style.display="none";
				div2.style.display="none";
				div3.style.display="none";
				if(div4.style.display=="block"){
					div4.style.display="none";
				}else{
					div4.style.display="block";
				}
				break;
		}
	}
</script>


<script>
			function boldUP(num){
				for(var i=1; i<=4; i++){
					document.all["link"+i].style.fontWeight="";
				}
				document.all["link"+num].style.fontWeight="bold";
			}

			function swapImg(num){	
				var tmp=document.all["img"+num].src;
				tmp2= tmp.split("/");

				if((tmp2[(tmp2.length)-1]) == "leftmenu_topicon0.gif"){
					document.all["img"+num].src="/totsys/common/images/leftmenu_topicon0.gif";
				}else{
					document.all["img"+num].src="/totsys/common/images/leftmenu_topicon0.gif";
				}

				for(var i=1; i<=4; i++){
					if(num != i){
						document.all["img"+i].src="/totsys/common/images/leftmenu_topicon0.gif";
					}	
				}
			}
		</script>

<script>
			function totperGO(){
				if(<%=sysAuth%> < 1 || <%=sysAuth%> > 2){
					alert("집계권한이 없습니다.\n확인하시고 다시 시도해주세요.");
				}else{
					open("/totsys/totper/main.jsp", "main");
				}
			}
		</script>


</head>
<body bgcolor="#ffffff" topmargin=0 leftmargin=0 marginwidth=0
	marginheight=0>
<!--바디 bg컬러 하늘색은 #ebf4fb 였음-->

<table width="158" border="0" cellpadding="0" cellspacing="0"
	align="center">

	<tr>
		<td height="10"></td>
	</tr>

	<!--로그인정보 아이프레임-->
	<!--
	<tr align="center">
		<td><iframe src="/totsys/common/web/documents/tot_doc/left_top_info.jsp" frameborder=0 width="138" height="159" name="incFrame"></iframe></td>
	</tr>
	<tr>
		<td height="10"></td>
	</tr>
	-->

	<tr>
		<td>
		<table width="158" align="center" border="0" cellpadding="0"
			cellspacing="0" background="/totsys/common/images/left_middle_bg.gif">
			<tr>
				<td><img src="/totsys/common/images/left_top_bg.gif"></td>
			</tr>
			<tr>
				<td height="3"></td>
			</tr>

			<tr align="center" height="25">
				<td height="25"><a href="#"
					style="padding-right: 1; padding-left: 1" onclick="totperGO()"><img
					src="/totsys/common/images/totper1.gif" border="0"></a><a
					href="/totsys/repoper/main.jsp" target="main"><img
					src="/totsys/common/images/repoper1.gif" border="0"></a></td>
			</tr>

			<tr>
				<td height="6"></td>
			</tr>

			<tr align="right" height="19">
				<td height="19" style="padding-top: 3; padding-right: 23"><a
					href="/totsys/repoper/mydocbox/returnbox/report_list.jsp"
					target="main" onclick="boldUP(1)" class="kecttep_leftup" id="link1"
					style="padding-right: 5">접수함</a><img id="img1"
					src="/totsys/common/images/leftmenu_topicon0.gif"></td>
			</tr>
			<tr>
				<!-- 라인-_-;;; -->
				<td style="padding-top: 2; padding-bottom: 3">
				<table cellpadding="0" cellspacing="0" align="center">
					<tr>
						<td width="124" bgcolor="#abbddd" height="1"></td>
					</tr>
				</table>
				</td>
			</tr>
			<!-- 라인끝-_-;;; -->

			<tr align="right" height="19">
				<td height="19" style="padding-top: 3; padding-right: 23"><a
					href="<%= tempboxMenu.getUrl() %>" target="main"
					onclick="boldUP(2)" class="kecttep_leftup" id="link2"
					style="padding-right: 5"><%= tempboxMenu %></a><img id="img2"
					src="/totsys/common/images/leftmenu_topicon0.gif"></td>
			</tr>
			<tr>
				<!-- 라인-_-;;; -->
				<td style="padding-top: 2; padding-bottom: 3">
				<table cellpadding="0" cellspacing="0" align="center">
					<tr>
						<td width="124" bgcolor="#abbddd" height="1"></td>
					</tr>
				</table>
				</td>
			</tr>
			<!-- 라인끝-_-;;; -->

			<tr align="right" height="19">
				<td height="19" style="padding-top: 3; padding-right: 23"><a
					href="/totsys/repoper/mydocbox/compbox/report_list.jsp"
					target="main" onclick="boldUP(3)" class="kecttep_leftup" id="link3"
					style="padding-right: 5">제출완료함</a><img id="img3"
					src="/totsys/common/images/leftmenu_topicon0.gif"></td>
			</tr>
			<tr>
				<!-- 라인-_-;;; -->
				<td style="padding-top: 2; padding-bottom: 3">
				<table cellpadding="0" cellspacing="0" align="center">
					<tr>
						<td width="124" bgcolor="#abbddd" height="1"></td>
					</tr>
				</table>
				</td>
			</tr>
			<!-- 라인끝-_-;;; -->

			<tr align="right" height="19">
				<td height="19" style="padding-top: 3; padding-right: 23"><a
					href="/totsys/repoper/mydocbox/endbox/report_list.jsp"
					target="main" onclick="boldUP(4)" class="kecttep_leftup" id="link4"
					style="padding-right: 5">종료함</a><img id="img4"
					src="/totsys/common/images/leftmenu_topicon0.gif"></td>
			</tr>

			<!--tr align="right" height="19">
					<td height="19" style="padding-top:3;padding-right:23"><a href="/totsys/repoper/canclebox/report_list.jsp?accAuth=0" target="main" onclick="boldUP(5)" class="kecttep_leftup" id="link5" style="padding-right:5">취소함</a><img id="img5" src="/totsys/common/images/leftmenu_topicon0.gif"></td>
				</tr-->


			<!--tr align="right" height="19">
					<td height="19" style="padding-top:3;padding-right:23"><a href="/totsys/repoper/mydocbox/recogbox/report_list.jsp" target="main" onclick="boldUP(5)" class="kecttep_leftup" id="link5" style="padding-right:5">승인함</a><img id="img6" src="/totsys/common/images/leftmenu_topicon0.gif"></td>
				</tr-->

			<tr>
				<td><img src="/totsys/common/images/left_bottom_bg.gif"></td>
			</tr>
		</table>
		</td>
	</tr>

	<tr>
		<td height="5"></td>
	</tr>
	<tr align="center">
		<td><a href="#"
			onclick="window.open('/totsys/helper/portal/user_card_016.jsp','helper','width=1024,height=768,scrollbars=yes')"><img
			src="/totsys/common/images/helper.gif"></a></td>
	</tr>
	<!--
	<tr>
		<td>
			<table  border="0" cellpadding="0" cellspacing="0" align="center">
				<tr align="center">
					<td>
					<a href="#" onclick="javascript:location.replace('/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout');">로그아웃</a>
					</td>
				</tr>
			</table>
		</td>
	</tr>
-->
</table>




</body>
</html>



<%
}catch(Exception ex){ex.printStackTrace();
	out.println(kr.co.kihyun.text.html.ServletUtil.getJavaScript("location='/servlet/kr.co.kihyun.beans.user.HttpSSOLogin?mode=logout';"));
}finally{	
}
%>
